知乎 · 内容详情

首页推荐流

无需输入,返回知乎首页推荐的回答、文章和想法,含正文、赞同数和作者信息。

POST/v1/zhihu/homeFeed

$0.00359每条

1,000 条
≈ $3.59
每页(5 条)最低
$0.001298

可用试用额度能用 cursor 翻页

在控制台里试

怎么发

用 POST 带 JSON 请求体,或者用 GET 把同样的参数放进查询串。key 放在 Authorization 头里。

curl -X POST "https://api.silklinedata.com/v1/zhihu/homeFeed" \
  -H "Authorization: Bearer $SILKLINE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"limit":5}'

返回什么

这是 2026-11-09 一次真实请求返回的记录。普通用户的名字、头像和主页链接显示为 <masked>;长文字只在这里截短,接口里是完整的。

200 OK · 取数日期 2026-11-09
{
  "data": [
    {
      "type": "answer",
      "answerId": "2103051349034276382",
      "url": "https://www.zhihu.com/question/210303…",
      "questionId": "2103039156586637089",
      "title": "黄仁勋为何突然公开发文承认婚外情,为…",
      "questionTitle": "黄仁勋为何突然公开发文承认婚外情,为…",
      "text": "AI计算卡是美中对抗的最前沿,被视为阻…",
      "excerpt": "AI计算卡是美中对抗的最前沿,被视为阻…",
      "voteupCount": 951,
      "commentCount": 130,
      "favoriteCount": 193,
      "createdAt": "2026-11-09T01:08:34Z",
      "updatedAt": "2026-11-09T05:10:42Z",
      "author": "<masked>",
      "authorId": "<masked>",
      "authorUrlToken": "<mas…",
      "authorAvatar": "<masked>",
      "authorHeadline": "<masked>",
      "authorGender": null,
      "authorFollowerCount": null,
      "authorVerification": null,
      "authorIpLocation": null
    },
    {
      "type": "answer",
      "answerId": "2102335595141919243",
      "url": "https://www.zhihu.com/question/202033…",
      "questionId": "20203379",
      "title": "日本人真的很好色吗?",
      "questionTitle": "日本人真的很好色吗?",
      "text": "色不色不是很知道,不过确实挺开放的,…",
      "excerpt": "色不色不是很知道,不过确实挺开放的,…",
      "voteupCount": 64,
      "commentCount": 14,
      "favoriteCount": 27,
      "createdAt": "2026-11-07T01:44:25Z",
      "updatedAt": "2026-11-07T01:50:47Z",
      "author": "<masked>",
      "authorId": "<masked>",
      "authorUrlToken": "<mas…",
      "authorAvatar": "<masked>",
      "authorHeadline": null,
      "authorGender": "<masked>",
      "authorFollowerCount": null,
      "authorVerification": null,
      "authorIpLocation": null
    }
  ],
  "cursor": "c1.Hq8vR2mTn5wK.yJ0dXA…",
  "meta": {
    "request_id": "req_01JD8Q…",
    "charged_usd": "0.007180",
    "balance_usd": "9.875000",
    "items": 2
  }
}

字段 22

字段类型示例值
typestringanswer
answerIdstring2103051349034276382
urlstringhttps://www.zhihu.com/question/2103039156586637089/answer/21…
questionIdstring2103039156586637089
titlestring黄仁勋为何突然公开发文承认婚外情,为什么选择这一时间?
questionTitlestring黄仁勋为何突然公开发文承认婚外情,为什么选择这一时间?
textstringAI计算卡是美中对抗的最前沿,被视为阻止中国崛起的“最后关卡”。黄仁勋不听招呼,为了经济利益放任走私,美国政府早就想对付…
excerptstringAI计算卡是美中对抗的最前沿,被视为阻止中国崛起的“最后关卡”。黄仁勋不听招呼,为了经济利益放任走私,美国政府早就想对付…
voteupCountnumber951
commentCountnumber130
favoriteCountnumber193
createdAtstring2026-11-09T01:08:34Z
updatedAtstring2026-11-09T05:10:42Z
authorstring<masked>
authorIdstring<masked>
authorUrlTokenstring<masked>
authorAvatarstring<masked>
authorHeadlinestring<masked>
authorGendernullnull
authorFollowerCountnullnull
authorVerificationnullnull
authorIpLocationnullnull

参数 1

参数名类型必填说明示例
limitinteger否返回的记录条数,1 到 100。一次请求返回的条数不会超过这个数。5

翻页

把上一次返回的 cursor 连同同样的参数传回来,拿下一页。每一页是一次独立的请求,单独计费;最后一页的 cursor 是 null。

JavaScript
const params = {};
const records = [];
let cursor = null;
do {
  const response = await fetch("https://api.silklinedata.com/v1/zhihu/homeFeed", {
    method: "POST",
    headers: { Authorization: `Bearer ${process.env.SILKLINE_KEY}`, "Content-Type": "application/json" },
    body: JSON.stringify({ ...params, limit: 100, ...(cursor ? { cursor } : {}) }),
  });
  const answer = await response.json();
  records.push(...answer.data);
  cursor = answer.cursor;
} while (cursor);
console.log(records.length);

一次请求花多少

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。

这个接口一页最多 5 条,每页最低收费 $0.001298;要 100 条的请求会取 20 页。

  • 1 条:最多 $0.00359
  • 20 条:最多 $0.0718
  • 100 条:最多 $0.359

返回的 meta 里写着这次扣了多少(charged_usd)和还剩多少(balance_usd)。我们这边出错不收费。

常见问题

「首页推荐流」要传哪些参数?

没有必填参数。另外都可以传 limit(1 到 100)。

一次请求最多返回多少条?

每次请求最多 100 条(limit 1 到 100)。每页最多 5 条,要 100 条时一次请求取 20 页。

能接着往后取吗?

能。回答里有 cursor 时,带上同样的参数和这个 cursor 再请求一次,就从上次停下的地方接着取。

怎么收费?

每条 记录 $0.00359。每页最低收费 $0.001298:条数少或没有结果时,每取一页最多收这么多,可能更低。取 100 条最多 $0.359。

请求失败或者没有结果时怎么收费?

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。回答里的 meta 写着这次收了多少、余额还剩多少。